## evilvte 0.4.3

=== Makefile ===
OPTFLAGS=-g

include src/config.o

OBJ=src/sakura.o

CFLAGS=$(OPTFLAGS) $(VTEINC) -DICON_DIR=\"$(ICON_DIR)\" -DEVILVTE_VERSION=\"$(EVILVTE_VERSION)\"

ifeq ($(SUSE_DETECTED),TRUE)
CFLAGS += -DSUSE_DETECTED=1
endif

all: evilvte showvte

parsecfg:
	sh src/evilvte.c

evilvte: parsecfg $(OBJ)
	$(CC) -o $(PROG) $(OBJ) $(LDFLAGS)

strip: all
	strip --remove-section=.comment --remove-section=.note $(PROG)

showvte:
	head -n 19 src/showvte.c | grep -v 'This is not an C program text' > src/showvte
	tail -n 7 src/showvte.c | head -n 6 >> src/showvte
	sh src/showvte.c >> src/showvte
	tail -n 1 src/showvte.c >> src/showvte
	sed 's/\t/ /g' src/config.h | tr -s ' ' ' ' | sed 's/^ //' | grep ^\#define | sed 's~/\*~\n~g' | grep -v \*\/ >> src/showvte
	chmod 755 src/showvte

install:
	install -d $(bindir)
	install -m 755 $(PROG) src/showvte $(bindir)
	install -d $(ICON_DIR_INSTALL)
	install -m 644 misc/evilvte.png misc/evilvte.xpm $(ICON_DIR_INSTALL)
	install -d $(mandir)
	install -m 644 misc/evilvte.1 misc/showvte.1 $(mandir)
	install -d $(deskdir)
	install -m 644 misc/evilvte.desktop $(deskdir)

installstrip: strip install

clean: src/config.o
	rm -f $(PROG) src/showvte src/*.o src/evilvte.h

src/config.o:
	./configure

## evilvte 0.4.4.1

=== Makefile ===
OPTFLAGS=-g

include src/config.o

OBJ=src/sakura.o

CFLAGS=$(OPTFLAGS) $(VTEINC) -DICON_DIR=\"$(ICON_DIR)\" -DEVILVTE_VERSION=\"$(EVILVTE_VERSION)\"

ifeq ($(SUSE_DETECTED),TRUE)
CFLAGS += -DSUSE_DETECTED=1
endif

all: evilvte showvte misc/evilvte.1

src/evilvte.h:
	sh src/evilvte.sh

evilvte: src/evilvte.h $(OBJ)
	$(CC) $(LDFLAGS) $(OBJ) $(LDLIBS) -o $(PROG)

strip: all
	strip --remove-section=.comment --remove-section=.note $(PROG)

showvte:
	head -n 16 src/showvte.sh > src/showvte
	tail -n 7 src/showvte.sh | head -n 6 >> src/showvte
	sh src/showvte.sh >> src/showvte
	tail -n 1 src/showvte.sh >> src/showvte
	sed 's/\t/ /g' src/config.h | tr -s ' ' ' ' | sed 's/^ //' | grep ^\#define | sed 's~/\*~\n~g' | grep -v \*\/ >> src/showvte
	chmod 755 src/showvte

misc/evilvte.1:
	sh src/manpage.sh

install:
	install -d $(bindir)
	install -m 755 $(PROG) src/showvte $(bindir)
	install -d $(ICON_DIR_INSTALL)
	install -m 644 misc/evilvte.png misc/evilvte.xpm $(ICON_DIR_INSTALL)
	install -d $(mandir)
	install -m 644 misc/evilvte.1 misc/showvte.1 $(mandir)
	install -d $(deskdir)
	install -m 644 misc/evilvte.desktop $(deskdir)

installstrip: strip
	install -d $(bindir)
	install -m 755 $(PROG) src/showvte $(bindir)
	install -d $(ICON_DIR_INSTALL)
	install -m 644 misc/evilvte.png misc/evilvte.xpm $(ICON_DIR_INSTALL)
	install -d $(mandir)
	install -m 644 misc/evilvte.1 misc/showvte.1 $(mandir)
	install -d $(deskdir)
	install -m 644 misc/evilvte.desktop $(deskdir)

clean: src/config.o
	rm -f $(PROG) src/showvte src/*.o src/evilvte.h misc/evilvte.1

src/config.o:
	./configure

.PHONY: all evilvte strip showvte install installstrip clean

## evilvte 0.4.5

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,20 @@
 
 OBJ=src/sakura.o
 
-CFLAGS=$(OPTFLAGS) $(VTEINC) -DICON_DIR=\"$(ICON_DIR)\" -DEVILVTE_VERSION=\"$(EVILVTE_VERSION)\"
+CFLAGS = -Wall $(OPTFLAGS) $(VTEINC) -DICON_DIR=\"$(ICON_DIR)\" -DEVILVTE_VERSION=\"$(EVILVTE_VERSION)\"
+# CFLAGS += -Wextra -DG_DISABLE_DEPRECATED -DG_DISABLE_SINGLE_INCLUDES -DGDK_DISABLE_DEPRECATED -DGDK_DISABLE_SINGLE_INCLUDES -DGTK_DISABLE_DEPRECATED -DGTK_DISABLE_SINGLE_INCLUDES
+
+ifneq (,$(findstring min,$(EVILVTE)))
+	CFLAGS += -DEVILVTE_MINIMUM=1
+endif
+
+ifneq (,$(findstring max,$(EVILVTE)))
+	CFLAGS += -DEVILVTE_MAXIMUM=1
+endif
+
+ifneq (,$(findstring test,$(EVILVTE)))
+	CFLAGS += -DEVILVTE_TESTING=1
+endif
 
 ifeq ($(SUSE_DETECTED),TRUE)
 CFLAGS += -DSUSE_DETECTED=1
@@ -53,9 +66,12 @@
 	install -m 644 misc/evilvte.desktop $(deskdir)
 
 clean: src/config.o
-	rm -f $(PROG) src/showvte src/*.o src/evilvte.h misc/evilvte.1
+	rm -f $(PROG) src/showvte src/sakura.o src/???????.h misc/evilvte.1 src/max.h src/test.h
+
+distclean: clean
+	rm -f src/*.o
 
 src/config.o:
 	./configure
 
-.PHONY: all evilvte strip showvte install installstrip clean
+.PHONY: all evilvte strip showvte install installstrip clean distclean

## evilvte 0.4.6

=== Makefile ===
include src/config.o

ifeq ($(CFLAGS),)
	CFLAGS = -Os
endif

CFLAGS += $(OPTFLAGS) $(VTEINC)

evilvte: src/evilvte.h src/evilvte.o
	$(CC) $(LDFLAGS) src/evilvte.o $(LDLIBS) -o src/$(PROG)

prepare:
	rm -f src/custom.h src/evilvte.h src/evilvte.o

src/custom.h: prepare
	cp $(CONF_FILE) src/custom.h

src/evilvte.h: src/custom.h
	sh src/process.sh src/$(PROG)

strip: evilvte
	strip --remove-section=.comment --remove-section=.note src/$(PROG)

install:
	install -d $(bindir)
	install -m 755 src/$(PROG) src/showvte $(bindir)
	install -d $(ICON_DIR_INSTALL)
	install -m 644 misc/evilvte.png $(ICON_DIR_INSTALL)
	install -d $(mandir)
	install -m 644 misc/evilvte.1 misc/showvte.1 $(mandir)
	install -d $(deskdir)
	install -m 644 misc/evilvte.desktop $(deskdir)
	install -d $(GNOME_DEF_APP)
	install -m 644 misc/evilvte.xml $(GNOME_DEF_APP)

installstrip: strip
	sh src/install.sh

uninstall:
	sh src/uninstall.sh

clean: src/config.o
	rm -f src/$(PROG) src/showvte src/evilvte.o src/evilvte.h misc/evilvte.? src/custom.h

distclean: clean
	rm -f src/*.o src/install.sh src/uninstall.sh

src/config.o:
	./configure --quiet

.PHONY: evilvte prepare strip install installstrip uninstall clean distclean

=== debian/changelog ===
evilvte (0.4.6-1) unstable; urgency=low

  * New upstream release
    - avoid a severe VTE bug in version 0.24.0, please see #576624
  * Switch to 3.0 (quilt) source format
    - remove README.source
  * debian/rules, debian/config.h, debian/evilvte.xpm, debian/install:
    - remove quilt related targets
    - configure against debian/config.h (new upstream feature)
    - honor DEB_BUILD_OPTIONS here
    - install debian/evilvte.xpm for menu system
  * debian/control:
    - drop Build-Depends: quilt
    - bump Standards-Version to 3.8.4
  * Drop all patches (no longer needed)
  * Update debian/copyright to DEP 5, revsion 135

 -- Wen-Yen Chuang <caleb@calno.com>  Tue,  6 Apr 2010 13:21:59 +0800

evilvte (0.4.5-1) unstable; urgency=low

  * New upstream release (Closes: #556088)
    - fix FTBFS with binutils-gold (Closes: #554333)
  * Enable all command line options:
    -r option, run in root window
    -f option, init in fullscreen mode
    -ls option, to enable login shell
    -h option, show help
    -[2-9] options, to set tab numbers

 -- Wen-Yen Chuang <caleb@calno.com>  Sat, 14 Nov 2009  5:34:11 +0800

evilvte (0.4.4.2-1) unstable; urgency=low

  * New upstream bugfix release
    - fix an CLOSE_DIALOG bug which could destroy the program by accident
  * Update debian/rules to use "$(MAKE) distclean" instead of "$(MAKE) clean"
  * Add debian/README.source
  * Improve descriptions in debian/control
  * Bump Standards-Version to 3.8.3, no changes needed.

 -- Wen-Yen Chuang <caleb@calno.com>  Thu,  3 Sep 2009 10:15:05 +0800

evilvte (0.4.4.1-1) unstable; urgency=low

  * New upstream release
    - fix an Gtk-CRITICAL runtime warning message (partial fix: #483308)
  * Set VTE_ERASE_ASCII_DELETE as the backspace key binding (Closes: #518513)
  * Set Ctrl+Shift+c to copy, and Ctrl+Shift+v to paste (Closes: #523105)
  * Disable statusbar (#523105)
  * Provide x-terminal-emulator according to Debian Policy 11.8.3
    - enable "-T / -title" command-line option
    - add Provides: x-terminal-emulator to debian/control
    - set the alternative priority to 20 in debian/postinst
  * Update debian/copyright
  * Bump Standards-Version to 3.8.1
    - replace obsolete "dh_clean -k" with "dh_prep"
  * Make lintian quiet
    - remove maintainer-script-empty debian/postrm
    - add a comment to debian/patches/support-DEB_BUILD_OPTIONS.diff

 -- Wen-Yen Chuang <caleb@calno.com>  Tue, 14 Apr 2009 13:28:19 +0800

evilvte (0.4.3-1) unstable; urgency=low

  * New upstream release
  * Migrate from dpatch to quilt
  * Build with "-g -O2" flag and honor DEB_BUILD_OPTIONS
  * Make debian/rules parallel-clean
  * Remove unused configure parameters
  * Support build-arch and build-indep
  * Add Build-Depends: pkg-config

 -- Wen-Yen Chuang <caleb@calno.com>  Tue, 27 May 2008 16:59:34 +0800

evilvte (0.4.2-1) unstable; urgency=low

  * Initial release (Closes: #469953)

 -- Wen-Yen Chuang <caleb@calno.com>  Tue, 22 Apr 2008 15:56:39 +0800

=== debian/control ===
Source: evilvte
Section: x11
Priority: optional
Maintainer: Wen-Yen Chuang <caleb@calno.com>
Homepage: http://www.calno.com/evilvte/
Build-Depends: debhelper (>= 7), libvte-dev, pkg-config
Standards-Version: 3.8.4

Package: evilvte
Architecture: any
Provides: x-terminal-emulator
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lightweight terminal emulator based on VTE
 evilvte is a terminal emulator based on Virtual Terminal Emulator(VTE) library.
 It supports almost everything VTE provides.
 It also supports tabs, tabbar autohide, and switch encoding at runtime.
 Configuration is via editing source code and recompilation.
 .
 This build provides all runtime changeable options in the right-click menu.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

src/config.o: configure
	dh_testdir
	# Upstream uses a homebrew configure and only accepts --prefix option.
	./configure --prefix=/usr --config=debian/config.h

build: build-arch

build-arch: build-stamp

build-indep:

build-stamp: src/config.o
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	./configure --quiet
	$(MAKE) distclean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=debian/evilvte

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installmenu
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://www.calno.com/evilvte/ ./evilvte-(.*)\.tar\.gz

## evilvte 0.4.8

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,14 @@
 
 ifeq ($(CFLAGS),)
 	CFLAGS = -Os
+endif
+
+ifeq ($(LDFLAGS),)
+	LDFLAGS = -Wl,--as-needed
+endif
+
+ifeq ($(LDLIBS),)
+	LDLIBS = -L/usr/local/lib $(LIBS_VTE_L) -lglib-2.0 -lgobject-2.0 $(LIBS_VTE)
 endif
 
 CFLAGS += $(OPTFLAGS) $(VTEINC)
@@ -33,7 +41,7 @@
 	install -d $(GNOME_DEF_APP)
 	install -m 644 misc/evilvte.xml $(GNOME_DEF_APP)
 
-installstrip: strip
+install-strip: strip
 	sh src/install.sh
 
 uninstall:
@@ -48,4 +56,4 @@
 src/config.o:
 	./configure --quiet
 
-.PHONY: evilvte prepare strip install installstrip uninstall clean distclean
+.PHONY: evilvte prepare strip install install-strip uninstall clean distclean

=== debian/changelog ===
evilvte (0.4.8-1) unstable; urgency=low

  * New upstream release
    GTK+ 3.0.0 compatible
  * Enable new command line options:
    -d option, run as a dock
    -fn option, to assign font and size
    -g option, to assign geometry
  * Update debian/copyright
  * Bump Standards-Version to 3.9.1

 -- Wen-Yen Chuang <caleb@calno.com>  Sun, 20 Feb 2011 22:13:15 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Wen-Yen Chuang <caleb@calno.com>
 Homepage: http://www.calno.com/evilvte/
 Build-Depends: debhelper (>= 7), libvte-dev, pkg-config
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: evilvte
 Architecture: any

## evilvte 0.4.9

=== debian/changelog ===
evilvte (0.4.9-1) unstable; urgency=low

  * New upstream release
  * Use dh
  * Update Build-Depends
    - use "libvte-dev | libvte-2.90-dev" so users can build it for GTK+ 3.x
    - use debhelper (>= 7.0.50~) for dh
  * Update evilvte.xpm for upstream's new icon theme
  * Update debian/copyright
  * Bump Standards-Version to 3.9.2

 -- Wen-Yen Chuang <caleb@calno.com>  Mon, 22 Aug 2011 22:40:06 +0800

## evilvte 0.5.0

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,4 @@
 include src/config.o
-
-ifeq ($(CFLAGS),)
-	CFLAGS = -Os
-endif
 
 ifeq ($(LDFLAGS),)
 	LDFLAGS = -Wl,--as-needed
@@ -14,8 +10,10 @@
 
 CFLAGS += $(OPTFLAGS) $(VTEINC)
 
-evilvte: src/evilvte.h src/evilvte.o
+evilvte: src/evilvte.o
 	$(CC) $(LDFLAGS) src/evilvte.o $(LDLIBS) -o src/$(PROG)
+
+src/evilvte.o: src/evilvte.h
 
 prepare:
 	rm -f src/custom.h src/evilvte.h src/evilvte.o
@@ -33,7 +31,31 @@
 	install -d $(bindir)
 	install -m 755 src/$(PROG) src/showvte $(bindir)
 	install -d $(ICON_DIR_INSTALL)
-	install -m 644 misc/evilvte.png $(ICON_DIR_INSTALL)
+	install -m 644 misc/48.png $(ICON_DIR_INSTALL)/evilvte.png
+	install -d $(THEME_DIR)/hicolor/16x16/apps
+	install -m 644 misc/16.png $(THEME_DIR)/hicolor/16x16/apps/evilvte.png
+	install -d $(THEME_DIR)/hicolor/20x20/apps
+	install -m 644 misc/20.png $(THEME_DIR)/hicolor/20x20/apps/evilvte.png
+	install -d $(THEME_DIR)/hicolor/22x22/apps
+	install -m 644 misc/22.png $(THEME_DIR)/hicolor/22x22/apps/evilvte.png
+	install -d $(THEME_DIR)/hicolor/24x24/apps
+	install -m 644 misc/24.png $(THEME_DIR)/hicolor/24x24/apps/evilvte.png
+	install -d $(THEME_DIR)/hicolor/32x32/apps
+	install -m 644 misc/32.png $(THEME_DIR)/hicolor/32x32/apps/evilvte.png
+	install -d $(THEME_DIR)/hicolor/36x36/apps
+	install -m 644 misc/36.png $(THEME_DIR)/hicolor/36x36/apps/evilvte.png
+	install -d $(THEME_DIR)/hicolor/40x40/apps
+	install -m 644 misc/40.png $(THEME_DIR)/hicolor/40x40/apps/evilvte.png
+	install -d $(THEME_DIR)/hicolor/48x48/apps
+	install -m 644 misc/48.png $(THEME_DIR)/hicolor/48x48/apps/evilvte.png
+	install -d $(THEME_DIR)/hicolor/64x64/apps
+	install -m 644 misc/64.png $(THEME_DIR)/hicolor/64x64/apps/evilvte.png
+	install -d $(THEME_DIR)/hicolor/72x72/apps
+	install -m 644 misc/72.png $(THEME_DIR)/hicolor/72x72/apps/evilvte.png
+	install -d $(THEME_DIR)/hicolor/96x96/apps
+	install -m 644 misc/96.png $(THEME_DIR)/hicolor/96x96/apps/evilvte.png
+	install -d $(THEME_DIR)/hicolor/scalable/apps
+	install -m 644 misc/evilvte.svg $(THEME_DIR)/hicolor/scalable/apps
 	install -d $(mandir)
 	install -m 644 misc/evilvte.1 misc/showvte.1 $(mandir)
 	install -d $(deskdir)

=== debian/changelog ===
evilvte (0.5.0-1) unstable; urgency=low

  * New upstream release
  * Change default compression method to xz
    - remove old compression-level because "-9" is not always optimal for xz.
  * Update debian/copyright
    - follow latest DEP-5 format
    - fix one invalid DEP-5 statement
    Thanks to Sven Hoexter <sven AT timegate DOT de>
  * Update debian/watch to look up for xz-compressed tarballs

 -- Wen-Yen Chuang <caleb@calno.com>  Sat, 22 Oct 2011 18:04:02 +0800

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Wen-Yen Chuang <caleb@calno.com>
 Homepage: http://www.calno.com/evilvte/
-Build-Depends: debhelper (>= 7), libvte-dev, pkg-config
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50~), libvte-dev | libvte-2.90-dev, pkg-config
+Standards-Version: 3.9.2
 
 Package: evilvte
 Architecture: any

## evilvte 0.5.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-include src/config.o
+include src/config.mk
 
 ifeq ($(LDFLAGS),)
 	LDFLAGS = -Wl,--as-needed
@@ -18,8 +18,10 @@
 prepare:
 	rm -f src/custom.h src/evilvte.h src/evilvte.o
 
-src/custom.h: prepare
-	cp $(CONF_FILE) src/custom.h
+src/custom.h: prepare $(CONF_FILE)
+	(echo '/* This file is generated - please edit $(CONF_FILE) instead */'; \
+	grep -v '^ *//' $(CONF_FILE) \
+	| sed 's/ CTRL_ALT / CTRL_ALT_FOO /g') > src/custom.h
 
 src/evilvte.h: src/custom.h
 	sh src/process.sh src/$(PROG)
@@ -69,13 +71,13 @@
 uninstall:
 	sh src/uninstall.sh
 
-clean: src/config.o
+clean: src/config.mk
 	rm -f src/$(PROG) src/showvte src/evilvte.o src/evilvte.h misc/evilvte.? src/custom.h
 
 distclean: clean
-	rm -f src/*.o src/install.sh src/uninstall.sh
+	rm -f src/*.o src/*.mk src/install.sh src/uninstall.sh
 
-src/config.o:
+src/config.mk:
 	./configure --quiet
 
 .PHONY: evilvte prepare strip install install-strip uninstall clean distclean

=== debian/changelog ===
evilvte (0.5.1-1) unstable; urgency=low

  * New upstream release
    - update to new style of hotkey configuration
  * Update debian/copyright
    - follow DEP-5 copyright-format 1.0
    - update copyright year to 2012
    - add icon modifier info to satisfy lintian
  * Bump debian/compat to 9 for hardened build flags
    - bump minimal debhelper version to 9.20120115
  * Bump Standards-Version to 3.9.3

 -- Wen-Yen Chuang <caleb@calno.com>  Tue, 27 Mar 2012 21:14:31 +0800

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Wen-Yen Chuang <caleb@calno.com>
 Homepage: http://www.calno.com/evilvte/
-Build-Depends: debhelper (>= 7.0.50~), libvte-dev | libvte-2.90-dev, pkg-config
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9.20120115), libvte-dev | libvte-2.90-dev, pkg-config
+Standards-Version: 3.9.3
 
 Package: evilvte
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --config=debian/config.h

=== debian/watch ===
version=3
http://www.calno.com/evilvte/ ./evilvte-(.*)\.tar\.xz
